## Script (Python) "Delete Related Boxes"
##title=Deletes those elements of context' related_box property that match indexes from request' 'ids'
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath

REQUEST=context.REQUEST

ids=REQUEST.get('ids', None)
status='failure'
status_msg='Please select one or more boxes to delete.'

if ids:
    related_boxes = context.related_boxes
    ids.sort()
    ids.reverse()
    for index in ids:
        del related_boxes[index]
    context.manage_changeProperties(related_boxes=related_boxes)
    status='success'
    status_msg='Related box deleted.'

return context.portal_navigation.getNext( context
                                        , script.getId()
                                        , status
                                        , portal_status_message=status_msg )
